For the complete documentation index, see llms.txt. This page is also available as Markdown.

Itineraries

Returns itineraries for specified tenant

get
Path parameters
tenantVarCodestringRequired

Tenant Var Code

Query parameters
startDatestring · date-timeOptional

Start date itinerary filter

endDatestring · date-timeOptional

End date itinerary filter

approvalStateinteger · int32Optional

When used it filters result by approval state: NoDecision=0, Approved=1, Declined=2

Default: -1
subtenantsbooleanOptional

When 'subtenants=true' the list contains itineraries for the tenant and all subtenants

Default: false
byTravelerOnlybooleanOptional

When 'byTravelerOnly=true' the list contains only itineraries for the current user

Default: false
pnrNumberstringOptional

When used it returns only itineraries with specified PNR number ignoring all other parameters.

Responses
200

OK

Idinteger · int32Optional

A unique identifier of the itinerary

Startstring · date-timeOptional

Itinerary start date

Endstring · date-timeOptional

Itinerary end date

StartUserTimeZonestring · date-timeOptional

Itinerary start date converted to user time zone

EndUserTimeZonestring · date-timeOptional

Itinerary end date converted to user time zone

UserTimeZoneIdstring · nullableOptional

User time zone id

Summarystring · nullableOptional

Summary text

ApprovalStatestring · enumOptionalPossible values:
OverallRiskinteger · int32Optional

Calculated overall risk

ExternalIdstring · nullableOptional

External system Id

ExternalStatusstring · nullableOptional

External system status

PnrNumberstring · nullableOptional

PNR Number - Passenger name record of a reservation system

Notesstring · nullableOptional

Free-text notes

get/V2/{tenantVarCode}/itineraries
GET /V2/{tenantVarCode}/itineraries HTTP/1.1
Accept: */*
200

OK

[
  {
    "Id": 1,
    "Start": "2026-01-01T00:00:00.000Z",
    "End": "2026-01-01T00:00:00.000Z",
    "StartUserTimeZone": "2026-01-01T00:00:00.000Z",
    "EndUserTimeZone": "2026-01-01T00:00:00.000Z",
    "UserTimeZoneId": "text",
    "Summary": "text",
    "ApprovalState": "NoDecision",
    "OverallRisk": 1,
    "ExternalId": "text",
    "ExternalStatus": "text",
    "PnrNumber": "text",
    "Travelers": [
      {
        "Id": 1,
        "EmailAddress": "text",
        "Firstname": "text",
        "Lastname": "text",
        "DateOfBirth": "2026-01-01T00:00:00.000Z",
        "PhoneNumber": "text",
        "Citizenship": "text",
        "Address": "text",
        "CityStatePostalCode": "text",
        "Country": "text",
        "PhoneNumbersAll": "text",
        "EmergencyContact1": "text",
        "EmergencyContact2": "text"
      }
    ],
    "Hotels": [
      {
        "Id": 1,
        "Name": "text",
        "Address": "text",
        "Latitude": 1,
        "Longitude": 1,
        "CountryName": "text",
        "CountryCode": "text",
        "TimeZoneId": "text",
        "CheckInTimeLocal": "2026-01-01T00:00:00.000Z",
        "CheckInTime": "2026-01-01T00:00:00.000Z",
        "CheckOutTimeLocal": "2026-01-01T00:00:00.000Z",
        "CheckOutTime": "2026-01-01T00:00:00.000Z"
      }
    ],
    "Flights": [
      {
        "Id": 1,
        "FlightNumber": "text",
        "Origin": "text",
        "Destination": "text",
        "OriginLatitude": 1,
        "OriginLongitude": 1,
        "OriginCountryName": "text",
        "OriginCountryCode": "text",
        "DepartureTimeZoneId": "text",
        "DepartureTimeLocal": "2026-01-01T00:00:00.000Z",
        "DepartureTime": "2026-01-01T00:00:00.000Z",
        "DestinationLatitude": 1,
        "DestinationLongitude": 1,
        "DestinationCountryName": "text",
        "DestinationCountryCode": "text",
        "ArrivalTimeZoneId": "text",
        "ArrivalTimeLocal": "2026-01-01T00:00:00.000Z",
        "ArrivalTime": "2026-01-01T00:00:00.000Z"
      }
    ],
    "Journeys": [
      {
        "Id": 1,
        "JourneyType": "Walk",
        "Name": "text",
        "Description": "text",
        "OriginAddress": "text",
        "OriginLatitude": 1,
        "OriginLongitude": 1,
        "OriginCountryName": "text",
        "OriginCountryCode": "text",
        "DepartureTimeZoneId": "text",
        "DepartureTimeLocal": "2026-01-01T00:00:00.000Z",
        "DepartureTime": "2026-01-01T00:00:00.000Z",
        "DestinationAddress": "text",
        "DestinationLatitude": 1,
        "DestinationLongitude": 1,
        "DestinationCountryName": "text",
        "DestinationCountryCode": "text",
        "ArrivalTimeZoneId": "text",
        "ArrivalTimeLocal": "2026-01-01T00:00:00.000Z",
        "ArrivalTime": "2026-01-01T00:00:00.000Z"
      }
    ],
    "Regions": [
      {
        "Name": "text",
        "GeometryId": "text"
      }
    ],
    "Notes": "text"
  }
]

Creates a new itinerary

post
Path parameters
tenantVarCodestringRequired

Tenant Var Code

Body
PnrNumberstring · nullableOptional

PNR Number - Passenger name record of a reservation system

Notesstring · nullableOptional

Free-text notes

Responses
200

OK

No content

post/V2/{tenantVarCode}/itineraries
POST /V2/{tenantVarCode}/itineraries HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 35

{
  "PnrNumber": "text",
  "Notes": "text"
}
200

OK

No content

Returns itineraries for specified tenant

get
Path parameters
tenantVarCodestringRequired

Tenant Var Code

Query parameters
startDatestring · date-timeOptional

Start date itinerary filter

endDatestring · date-timeOptional

End date itinerary filter

approvalStateinteger · int32Optional

When used it filters result by approval state: NoDecision=0, Approved=1, Declined=2

Default: -1
pageinteger · int32Optional

Optional page number. Default = 1

Default: 1
pageSizeinteger · int32Optional

Optional page size. Default = 100

Default: 100
Responses
200

OK

Idinteger · int32Optional

A unique identifier of the itinerary

Startstring · date-timeOptional

Itinerary start date

Endstring · date-timeOptional

Itinerary end date

StartUserTimeZonestring · date-timeOptional

Itinerary start date converted to user time zone

EndUserTimeZonestring · date-timeOptional

Itinerary end date converted to user time zone

UserTimeZoneIdstring · nullableOptional

User time zone id

Summarystring · nullableOptional

Summary text

ApprovalStatestring · enumOptionalPossible values:
OverallRiskinteger · int32Optional

Calculated overall risk

ExternalIdstring · nullableOptional

External system Id

ExternalStatusstring · nullableOptional

External system status

PnrNumberstring · nullableOptional

PNR Number - Passenger name record of a reservation system

Notesstring · nullableOptional

Free-text notes

get/V2/{tenantVarCode}/itinerariesList
GET /V2/{tenantVarCode}/itinerariesList HTTP/1.1
Accept: */*
200

OK

[
  {
    "Id": 1,
    "Start": "2026-01-01T00:00:00.000Z",
    "End": "2026-01-01T00:00:00.000Z",
    "StartUserTimeZone": "2026-01-01T00:00:00.000Z",
    "EndUserTimeZone": "2026-01-01T00:00:00.000Z",
    "UserTimeZoneId": "text",
    "Summary": "text",
    "ApprovalState": "NoDecision",
    "OverallRisk": 1,
    "ExternalId": "text",
    "ExternalStatus": "text",
    "PnrNumber": "text",
    "Travelers": [
      {
        "Id": 1,
        "EmailAddress": "text",
        "Firstname": "text",
        "Lastname": "text",
        "DateOfBirth": "2026-01-01T00:00:00.000Z",
        "PhoneNumber": "text",
        "Citizenship": "text",
        "Address": "text",
        "CityStatePostalCode": "text",
        "Country": "text",
        "PhoneNumbersAll": "text",
        "EmergencyContact1": "text",
        "EmergencyContact2": "text"
      }
    ],
    "Hotels": [
      {
        "Id": 1,
        "Name": "text",
        "Address": "text",
        "Latitude": 1,
        "Longitude": 1,
        "CountryName": "text",
        "CountryCode": "text",
        "TimeZoneId": "text",
        "CheckInTimeLocal": "2026-01-01T00:00:00.000Z",
        "CheckInTime": "2026-01-01T00:00:00.000Z",
        "CheckOutTimeLocal": "2026-01-01T00:00:00.000Z",
        "CheckOutTime": "2026-01-01T00:00:00.000Z"
      }
    ],
    "Flights": [
      {
        "Id": 1,
        "FlightNumber": "text",
        "Origin": "text",
        "Destination": "text",
        "OriginLatitude": 1,
        "OriginLongitude": 1,
        "OriginCountryName": "text",
        "OriginCountryCode": "text",
        "DepartureTimeZoneId": "text",
        "DepartureTimeLocal": "2026-01-01T00:00:00.000Z",
        "DepartureTime": "2026-01-01T00:00:00.000Z",
        "DestinationLatitude": 1,
        "DestinationLongitude": 1,
        "DestinationCountryName": "text",
        "DestinationCountryCode": "text",
        "ArrivalTimeZoneId": "text",
        "ArrivalTimeLocal": "2026-01-01T00:00:00.000Z",
        "ArrivalTime": "2026-01-01T00:00:00.000Z"
      }
    ],
    "Journeys": [
      {
        "Id": 1,
        "JourneyType": "Walk",
        "Name": "text",
        "Description": "text",
        "OriginAddress": "text",
        "OriginLatitude": 1,
        "OriginLongitude": 1,
        "OriginCountryName": "text",
        "OriginCountryCode": "text",
        "DepartureTimeZoneId": "text",
        "DepartureTimeLocal": "2026-01-01T00:00:00.000Z",
        "DepartureTime": "2026-01-01T00:00:00.000Z",
        "DestinationAddress": "text",
        "DestinationLatitude": 1,
        "DestinationLongitude": 1,
        "DestinationCountryName": "text",
        "DestinationCountryCode": "text",
        "ArrivalTimeZoneId": "text",
        "ArrivalTimeLocal": "2026-01-01T00:00:00.000Z",
        "ArrivalTime": "2026-01-01T00:00:00.000Z"
      }
    ],
    "Regions": [
      {
        "Name": "text",
        "GeometryId": "text"
      }
    ],
    "Notes": "text"
  }
]

Returns a specific itinerary

get
Path parameters
tenantVarCodestringRequired

Tenant Var Code

itineraryIdinteger · int32Required

Itinerary Id

Responses
200

OK

Idinteger · int32Optional

A unique identifier of the itinerary

Startstring · date-timeOptional

Itinerary start date

Endstring · date-timeOptional

Itinerary end date

StartUserTimeZonestring · date-timeOptional

Itinerary start date converted to user time zone

EndUserTimeZonestring · date-timeOptional

Itinerary end date converted to user time zone

UserTimeZoneIdstring · nullableOptional

User time zone id

Summarystring · nullableOptional

Summary text

ApprovalStatestring · enumOptionalPossible values:
OverallRiskinteger · int32Optional

Calculated overall risk

ExternalIdstring · nullableOptional

External system Id

ExternalStatusstring · nullableOptional

External system status

PnrNumberstring · nullableOptional

PNR Number - Passenger name record of a reservation system

Notesstring · nullableOptional

Free-text notes

get/V2/{tenantVarCode}/itineraries/{itineraryId}
GET /V2/{tenantVarCode}/itineraries/{itineraryId} HTTP/1.1
Accept: */*
200

OK

{
  "Id": 1,
  "Start": "2026-01-01T00:00:00.000Z",
  "End": "2026-01-01T00:00:00.000Z",
  "StartUserTimeZone": "2026-01-01T00:00:00.000Z",
  "EndUserTimeZone": "2026-01-01T00:00:00.000Z",
  "UserTimeZoneId": "text",
  "Summary": "text",
  "ApprovalState": "NoDecision",
  "OverallRisk": 1,
  "ExternalId": "text",
  "ExternalStatus": "text",
  "PnrNumber": "text",
  "Travelers": [
    {
      "Id": 1,
      "EmailAddress": "text",
      "Firstname": "text",
      "Lastname": "text",
      "DateOfBirth": "2026-01-01T00:00:00.000Z",
      "PhoneNumber": "text",
      "Citizenship": "text",
      "Address": "text",
      "CityStatePostalCode": "text",
      "Country": "text",
      "PhoneNumbersAll": "text",
      "EmergencyContact1": "text",
      "EmergencyContact2": "text"
    }
  ],
  "Hotels": [
    {
      "Id": 1,
      "Name": "text",
      "Address": "text",
      "Latitude": 1,
      "Longitude": 1,
      "CountryName": "text",
      "CountryCode": "text",
      "TimeZoneId": "text",
      "CheckInTimeLocal": "2026-01-01T00:00:00.000Z",
      "CheckInTime": "2026-01-01T00:00:00.000Z",
      "CheckOutTimeLocal": "2026-01-01T00:00:00.000Z",
      "CheckOutTime": "2026-01-01T00:00:00.000Z"
    }
  ],
  "Flights": [
    {
      "Id": 1,
      "FlightNumber": "text",
      "Origin": "text",
      "Destination": "text",
      "OriginLatitude": 1,
      "OriginLongitude": 1,
      "OriginCountryName": "text",
      "OriginCountryCode": "text",
      "DepartureTimeZoneId": "text",
      "DepartureTimeLocal": "2026-01-01T00:00:00.000Z",
      "DepartureTime": "2026-01-01T00:00:00.000Z",
      "DestinationLatitude": 1,
      "DestinationLongitude": 1,
      "DestinationCountryName": "text",
      "DestinationCountryCode": "text",
      "ArrivalTimeZoneId": "text",
      "ArrivalTimeLocal": "2026-01-01T00:00:00.000Z",
      "ArrivalTime": "2026-01-01T00:00:00.000Z"
    }
  ],
  "Journeys": [
    {
      "Id": 1,
      "JourneyType": "Walk",
      "Name": "text",
      "Description": "text",
      "OriginAddress": "text",
      "OriginLatitude": 1,
      "OriginLongitude": 1,
      "OriginCountryName": "text",
      "OriginCountryCode": "text",
      "DepartureTimeZoneId": "text",
      "DepartureTimeLocal": "2026-01-01T00:00:00.000Z",
      "DepartureTime": "2026-01-01T00:00:00.000Z",
      "DestinationAddress": "text",
      "DestinationLatitude": 1,
      "DestinationLongitude": 1,
      "DestinationCountryName": "text",
      "DestinationCountryCode": "text",
      "ArrivalTimeZoneId": "text",
      "ArrivalTimeLocal": "2026-01-01T00:00:00.000Z",
      "ArrivalTime": "2026-01-01T00:00:00.000Z"
    }
  ],
  "Regions": [
    {
      "Name": "text",
      "GeometryId": "text"
    }
  ],
  "Notes": "text"
}

Updates an existing itinerary

put
Path parameters
tenantVarCodestringRequired

Tenant Var Code

itineraryIdinteger · int32Required

Itinerary Id

Body
ApprovalStatestring · enumOptionalPossible values:
PnrNumberstring · nullableOptional

PNR Number - Passenger name record of a reservation system

Notesstring · nullableOptional

Free-text notes

Responses
200

OK

No content

put/V2/{tenantVarCode}/itineraries/{itineraryId}
PUT /V2/{tenantVarCode}/itineraries/{itineraryId} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 64

{
  "ApprovalState": "NoDecision",
  "PnrNumber": "text",
  "Notes": "text"
}
200

OK

No content

Deletes a specific itinerary

delete
Path parameters
tenantVarCodestringRequired

Tenant Var Code

itineraryIdinteger · int32Required

Itinerary Id

Responses
200

OK

No content

delete/V2/{tenantVarCode}/itineraries/{itineraryId}
DELETE /V2/{tenantVarCode}/itineraries/{itineraryId} HTTP/1.1
Accept: */*
200

OK

No content

Last updated